%define qtdir %_prefix/lib/qt3
%define __libtoolize true

Name: kdesvn
Version: 0.9.2
Release:	%mkrel 2
Summary:	kdesvn is yet another client for subversion
License:	GPL
Url: http://www.alwins-world.de/programs/kdesvn/
Group: Graphical desktop/KDE
Source0:	http://www.alwins-world.de/programs/download/kdesvn/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: graphviz
BuildRequires:	kdelibs-devel 
BuildRequires:	subversion-devel >= 1.2
BuildRequires: neon-devel
BuildRequires: apr-devel

%description
kdesvn is yet another client for subversion. But it uses native 
KDE API instead of a extra lib like GAMBAS and it is using the 
native subversion delevelopment API instead of just parsing the 
output of the commandline tool like most other clients do. It tries 
to setup a look and feel like the standard filemanager of KDE and is 
integrated into it via KPart.
The base C++ interface to subversion I took from the (real great) tool 
Rapidsvn (see http://rapidsvn.tigris.org/) with some modifcations and fixes.

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root,-)
%doc README AUTHORS COPYING ChangeLog
%_bindir/*
%_libdir/kde3/*
%_menudir/kdesvn
%_datadir/apps/*
%_docdir/HTML/*/*
%_iconsdir/*/*/*/*
%_datadir/locale/*/*
%_datadir/applications/*
%_datadir/config.kcfg/*
%_datadir/services/*

#-----------------------------------------------------------------

%define lib_svn_qt %mklibname svnqt 2
%define invalid_lib %mklibname svnqt 1

%package -n %lib_svn_qt
Summary: KDE Svn core library
Group: Graphical desktop/KDE
Obsoletes: %invalid_lib 

%post -n %lib_svn_qt -p /sbin/ldconfig
%postun -n %lib_svn_qt -p /sbin/ldconfig

%description -n %lib_svn_qt
KDE Svn core library

%files -n %lib_svn_qt
%defattr(-,root,root,-)
%_libdir/*.so.*

#-----------------------------------------------------------------

%package devel
Summary: kdesvn devel package
Group: Development/KDE and Qt
Requires: %lib_svn_qt = %version-%release

%description devel
kdesvn devel package

%files devel 
%defattr(-,root,root,-)
%_includedir/*
%_libdir/*.so
%_libdir/*.la

#-----------------------------------------------------------------

%prep
%setup -q

%build
make -f Makefile.cvs
export QTDIR=%qtdir
export KDEDIR=%_prefix

%configure2_5x \
	--disable-debug \
	--disable-warnings \
	--with-qt-libraries=%qtdir/%_lib \
	--with-svn-lib=%_libdir \
%if "%{_lib}" != "lib"
	--enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
	--disable-rpath

%make

%install
rm -rf %buildroot

make DESTDIR=%buildroot install

# Create LMDK menu entries
install -d %buildroot/%_menudir/

kdedesktop2mdkmenu.pl %name "More Applications/Development/Development Environments" %buildroot/%_datadir/applications/kde/kdesvn.desktop %buildroot/%_menudir/%name

%clean
rm -rf %buildroot




%changelog
* Fri Sep 01 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-09-01 14:52:49 (59325)
- Remove patch as it broken menu entry under KDE original menu

* Mon Aug 28 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-08-28 15:51:24 (58347)
- Necessary to generate makefile

* Mon Aug 28 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-08-28 11:45:53 (58273)
- 0.9.2

* Fri Jul 28 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-07-28 23:29:50 (42486)
- Added graphviz dependency. http://qa.mandriva.com/show_bug.cgi?id=23988

* Mon Jul 24 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-07-24 12:04:40 (41961)
- 0.9.1

* Tue Jul 18 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-07-18 08:46:08 (41517)
- 0.9.0

* Wed Jul 05 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-07-05 15:31:23 (38388)
- Small fixes on kdesvn to avoid global warnings on youri

* Sun Jun 25 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-06-25 11:46:49 (38021)
- 0.8.5

* Wed Jun 21 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-06-21 19:09:01 (37773)
- Increase release

* Fri Jun 02 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-06-02 09:01:30 (31871)
- Fix duplicate menu into new xdg menu

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Mon May 22 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-05-22 22:40:12 (27875)
- Subversion test

* Sat May 20 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-05-20 19:29:21 (27818)
- 0.8.4
  Real fix for x86_64

* Fri May 05 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-05-05 16:33:41 (26954)
- Changed soname. Got caught in the upgrade.

* Wed May 03 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-05-03 22:37:58 (26850)
- New upstream release 0.8.3

* Wed May 03 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-05-03 22:34:15 (26848)
- Fix again the svn/regular commit breakage.
  * Seg Abr 24 2006 Jerome Martin <jmartin@mandriva.org> 0.8.2-1mdk
- 0.8.2

* Fri Mar 24 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-03-24 15:44:05 (26127)
- Miss ldconfig on library

* Fri Mar 24 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-03-24 15:27:42 (26126)
- New upstream release 0.8.0
- Created libsvnqt and devel subpackages

* Tue Mar 14 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-03-14 18:22:47 (25659)
- Fix Description size
- Add a warning ( kdesvn is in svn)

* Sat Mar 11 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-03-11 03:14:20 (1939)
- Increase release

* Sat Mar 11 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-03-11 03:07:22 (1938)
- Humanmistake under pressure. I need vacations soon or will become too
  depressed because the trashing snowball hitting me

* Fri Mar 10 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-03-10 19:18:21 (1921)
- Make suitable for other non %%%%ix86 32 bits archs. Thanks to L. Montel for point this

* Fri Mar 10 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-03-10 15:36:58 (1909)
- Fixed changelog to make it back to svn
- Fix compilation against x86_64



* Thu Mar 02 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.4-1mdk
- 0.7.4

* Wed Feb 01 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.3-1mdk
- 0.7.3

* Fri Jan 13 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.2-3mdk
- Missing postun postin

* Fri Jan 13 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.2-2mdk
- Use --enable-final
- Fix missing file

* Thu Jan 12 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.2-1mdk
- Clean spec
- 0.7.2
- Add menu entry

* Tue Aug 30 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.1-2mdk
- rebuilt against new openldap-2.3.6 libs

* Wed Aug 17 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-08-17 08:54:38 (674)
- First package to Mandriva contrib

* Wed Aug 17 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-08-17 08:05:45 (673)
- Created package structure for kdesvn.
